Opened 9 years ago

Closed 9 years ago

Last modified 9 years ago

#14544 closed defect (fixed)

Cython dependency checking broken

Reported by: jdemeyer Owned by: jdemeyer
Priority: blocker Milestone: sage-5.10
Component: cython Keywords:
Cc: robertwb Merged in: sage-5.10.beta2
Authors: Robert Bradshaw Reviewers: Jeroen Demeyer
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Status badges

Description (last modified by jdemeyer)

Install the PARI spkg from #14539:

./sage -i http://boxen.math.washington.edu/home/jdemeyer/spkg/pari-2.5.4.p0.spkg

Then rebuild the library:

./sage -b

Before #13031, this used to rebuild all files depending on PARI (good!), with #13031 absolutely nothing happens (bad!).

spkg: http://sage.math.washington.edu/home/robertwb/patches/cython-0.19.p1.spkg

apply 14544-cythonize-deps.patch to the Sage library

Attachments (1)

14544-cythonize-deps.patch (908 bytes) - added by robertwb 9 years ago.

Download all attachments as: .zip

Change History (7)

Changed 9 years ago by robertwb

comment:1 Changed 9 years ago by robertwb

comment:2 Changed 9 years ago by robertwb

  • Status changed from new to needs_review

comment:3 Changed 9 years ago by jdemeyer

  • Authors set to Robert Bradshaw
  • Description modified (diff)

comment:4 Changed 9 years ago by jdemeyer

  • Merged in set to sage-5.10.beta2
  • Resolution set to fixed
  • Reviewers set to Jeroen Demeyer
  • Status changed from needs_review to closed

Looks good to me.

comment:5 Changed 9 years ago by Snark

It's not that closed in fact : what does deps.patch do? It isn't documented in SPKG.txt, and the log message only says who wrote it but not why. And since it is an upstream modification, was it forwarded?

comment:6 Changed 9 years ago by jdemeyer

The author of the patch is upstream. Anyway, #14569 solved your problem.

Note: See TracTickets for help on using tickets.